Get cancellation details | Moov Documentation
Get cancellation details
Get details of a cancellation for a transfer.
To access this endpoint using a token you'll need to specify the /accounts/{accountID}/transfers.read scope.
Request Format
GET
/accounts/{accountID}/transfers/{transferID}/cancellations/{cancellationID}
Example Requests
Shell
curl -X GET "https://api.moov.io/accounts/{accountID}/transfers/{transferID}/cancellations/{cancellationID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00"
Go
mc, _ := moov.NewClient()
var accountID string // facilitator ID
var transferID string
var cancellationID string
mc.GetCancellation(ctx, accountID, transferID, cancellationID)
TypeScript
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.transfers.getCancellation({
accountID: "55cb62c2-22e4-4a36-bd53-3b9adc77ee81",
transferID: "bc13b680-bac3-432e-bf44-e9aa6426cbb2",
cancellationID: "770cb4b5-d5b0-4e8b-995b-86b790296ba5",
});
console.log(result);
}
run();
PHP
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->transfers->getCancellation(
accountID: '55cb62c2-22e4-4a36-bd53-3b9adc77ee81',
transferID: 'bc13b680-bac3-432e-bf44-e9aa6426cbb2',
cancellationID: '770cb4b5-d5b0-4e8b-995b-86b790296ba5'
);
if ($response->cancellation !== null) {
// handle response
}
Java
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetCancellationResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetCancellationResponse res = sdk.transfers().getCancellation()
.accountID("55cb62c2-22e4-4a36-bd53-3b9adc77ee81")
.transferID("bc13b680-bac3-432e-bf44-e9aa6426cbb2")
.cancellationID("770cb4b5-d5b0-4e8b-995b-86b790296ba5")
.call();
if (res.cancellation().isPresent()) {
System.out.println(res.cancellation().get());
}
}
}
Python
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.transfers.get_cancellation(account_id="55cb62c2-22e4-4a36-bd53-3b9adc77ee81", transfer_id="bc13b680-bac3-432e-bf44-e9aa6426cbb2", cancellation_id="770cb4b5-d5b0-4e8b-995b-86b790296ba5")
# Handle response
print(res)
Ruby
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.transfers.get_cancellation(account_id: '55cb62c2-22e4-4a36-bd53-3b9adc77ee81', transfer_id: 'bc13b680-bac3-432e-bf44-e9aa6426cbb2', cancellation_id: '770cb4b5-d5b0-4e8b-995b-86b790296ba5')
unless res.cancellation.nil?
# handle response
end
C#
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Transfers.GetCancellationAsync(
accountID: "55cb62c2-22e4-4a36-bd53-3b9adc77ee81",
transferID: "bc13b680-bac3-432e-bf44-e9aa6426cbb2",
cancellationID: "770cb4b5-d5b0-4e8b-995b-86b790296ba5"
);
// handle response
Cancellation Response Example
{
"cancellationID": "89ca7f54-13ba-4714-b9af-17163eae2057",
"createdOn": "2025-01-19T03:02:43.255309588Z",
"status": "completed"
}
Response Status Codes
- The request completed successfully.
- The request contained missing or expired authentication.
- The user is not authorized to make the request.
- The requested resource was not found.
- Request was refused due to rate limiting.
- The request failed due to an unexpected error.
- The request failed because a downstream service failed to respond.
Important Headers
- Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Status Values
- Possible values:
pendingcompletedfailed